Bug 1760978 (CVE-2019-2973)

Summary: CVE-2019-2973 OpenJDK: Unexpected exception thrown by XPathParser processing crafted XPath expression (JAXP, 8223505)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ahughes, bkearney, dbhole, java-qa, jvanek, security-response-team, tlestach
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-03 01:04:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1754089, 1754096, 1760369, 1760981, 1760982, 1776413, 1777849, 1777852, 1754086, 1754087, 1754088, 1754094, 1754095, 1754097, 1754098, 1760368, 1760370, 1776411, 1776412, 1777848, 1777850, 1777851, 1778949    
Bug Blocks: 1753424    

Description Tomas Hoger 2019-10-11 20:52:10 UTC
It was discovered that the XPathParser class in the JAXP component in OpenJDK could throw an unexpected StackOverflowError exception when processing a specially crafted XPath expression.  This could possibly cause a Java application to exit because of an unhandled exception if it processed untrusted XPath expressions.

Comment 1 Tomas Hoger 2019-10-15 21:08:36 UTC
Public now via Oracle CPU October 2019:

https://www.oracle.com/security-alerts/cpuoct2019.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.1, 11.0.5, 8u231, and 7u241.

Comment 2 errata-xmlrpc 2019-10-16 14:18:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3128 https://access.redhat.com/errata/RHSA-2019:3128

Comment 3 errata-xmlrpc 2019-10-16 14:45:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3127 https://access.redhat.com/errata/RHSA-2019:3127

Comment 4 errata-xmlrpc 2019-10-17 09:57:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3134 https://access.redhat.com/errata/RHSA-2019:3134

Comment 5 errata-xmlrpc 2019-10-17 09:58:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3135 https://access.redhat.com/errata/RHSA-2019:3135

Comment 8 errata-xmlrpc 2019-10-17 14:27:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3136 https://access.redhat.com/errata/RHSA-2019:3136

Comment 9 errata-xmlrpc 2019-10-21 15:00:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3158 https://access.redhat.com/errata/RHSA-2019:3158

Comment 10 errata-xmlrpc 2019-10-21 15:11:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3157 https://access.redhat.com/errata/RHSA-2019:3157

Comment 12 Product Security DevOps Team 2019-12-03 01:04:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2973

Comment 13 errata-xmlrpc 2019-12-05 15:20:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:4110 https://access.redhat.com/errata/RHSA-2019:4110

Comment 14 errata-xmlrpc 2019-12-05 15:21:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:4109 https://access.redhat.com/errata/RHSA-2019:4109

Comment 15 errata-xmlrpc 2019-12-09 08:56:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:4113 https://access.redhat.com/errata/RHSA-2019:4113

Comment 16 errata-xmlrpc 2019-12-09 13:26:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:4115 https://access.redhat.com/errata/RHSA-2019:4115

Comment 20 errata-xmlrpc 2020-01-02 14:01:50 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2020:0006 https://access.redhat.com/errata/RHSA-2020:0006

Comment 21 errata-xmlrpc 2020-01-07 15:10:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0046 https://access.redhat.com/errata/RHSA-2020:0046